import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import {feature} from 'topojson';

const jsonUrl =
  'https://gist.githubusercontent.com/erikerickson/4878febf8be358351aac34a29a63372a/raw/935ad23d4e81f844bdfcb73c90a274e40a79437f/Massachusetts_geo.json';

export const useMassGeo = () => {
  const [data, setData] = useState(null);
  
  console.log(data);

  useEffect(() => {
        json(jsonUrl).then(topojsonData => {
          const {ma} = topojsonData.objects;
          setData(feature(topojsonData, ma));
        
        });
  }, []);
  
  return data;
};


