import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/erikerickson/4878febf8be358351aac34a29a63372a/raw/92b7269bfbaf73af23b210b17ef331e3bbdcfcb1/dese%2520data%25203.csv';

export const useRetentionData = () => {
  const [data, setData] = useState(null);
  const row = d => {
    d.lat = +d.lat;
    d.lon = +d.lon;
    d.total = +d.total;
    d.quartile = +d.quartile;
    return d;
  };

  console.log(data);

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
